LoggingEventPatternConverter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.pattern
Class LoggingEventPatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter
          org.apache.log4j.pattern.LoggingEventPatternConverter

Direct Known Subclasses:
  DatePatternConverter, FileLocationPatternConverter, FullLocationPatternConverter, LevelPatternConverter, LineLocationPatternConverter, LineSeparatorPatternConverter, LiteralPatternConverter, MessagePatternConverter, MethodLocationPatternConverter, NamePatternConverter, NDCPatternConverter, PropertiesPatternConverter, RelativeTimePatternConverter, SequenceNumberPatternConverter, ThreadPatternConverter, ThrowableInformationPatternConverter

    public abstract class LoggingEventPatternConverter

extends PatternConverter

LoggingEventPatternConverter is a base class for pattern converters that can format information from instances of LoggingEvent.

Author:
  Curt Arnold

Constructor Summary
`protected` | `LoggingEventPatternConverter(String name, String style)` Constructs an instance of LoggingEventPatternConverter.

Method Summary
`abstract void` | `format(LoggingEvent event, StringBuffer toAppendTo)` Formats an event into a string buffer.
`void` | `format(Object obj, StringBuffer output)` Formats an object into a string buffer.
`boolean` | `handlesThrowable()` Normally pattern converters are not meant to handle Exceptions although few pattern converters might.

Methods inherited from class org.apache.log4j.pattern.PatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingEventPatternConverter

    protected LoggingEventPatternConverter(String name,
                                           String style)

  Constructs an instance of LoggingEventPatternConverter.

  Parameters:
    `name` - name of converter.
    `style` - CSS style for output.

Method Detail

### format

    public abstract void format(LoggingEvent event,
                                StringBuffer toAppendTo)

  Formats an event into a string buffer.

  Parameters:
    `event` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

### format

    public void format(Object obj,
                       StringBuffer output)

  Formats an object into a string buffer.

  Specified by:
    `format` in class `PatternConverter`
  Parameters:
    `obj` - event to format, may not be null.
    `output` - string buffer to which the formatted event will be appended. May not be null.

### handlesThrowable

    public boolean handlesThrowable()

  Normally pattern converters are not meant to handle Exceptions although few pattern converters might. By examining the return values for this method, the containing layout will determine whether it handles throwables or not.

  Returns:
    true if this PatternConverter handles throwables

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.